StableOps
API 参考

更改门户订阅套餐

通过 StableOps 门户申请变更订阅套餐,核对升级差额账单或待续费套餐,在账单结算前不要直接授予新套餐权益。门户令牌限定用户可访问的数据,不能替代商户管理密钥,也不代表已完成付款。服务端应验证用户身份并安全签发会话,最终权益以账单和订阅状态为准。

POST/v1/merchant/portal/subscription/change-plan

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/merchant/portal/subscription/change-plan" \  -H "Content-Type: application/json" \  -d '{    "plan_id": "string"  }'
{
  "subscription": {
    "id": "string",
    "merchant_user_id": "string",
    "plan_id": "string",
    "status": "incomplete",
    "current_period_start": "2019-08-24T14:15:22Z",
    "current_period_end": "2019-08-24T14:15:22Z",
    "cancel_at_period_end": true,
    "pending_plan_id": "string",
    "pending_plan_change_at": "2019-08-24T14:15:22Z",
    "trial_ends_at": "2019-08-24T14:15:22Z",
    "canceled_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "invoice": {
    "id": "string",
    "subscription_id": "string",
    "merchant_user_id": "string",
    "kind": "first",
    "period_start": "2019-08-24T14:15:22Z",
    "period_end": "2019-08-24T14:15:22Z",
    "amount": "string",
    "asset": "USDC",
    "status": "open",
    "payment_order_id": "string",
    "target_plan_id": "string",
    "due_at": "2019-08-24T14:15:22Z",
    "paid_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "pending": true
}

这篇文档怎么样?

最后更新